sensorfw: datatypes/lid.h File Reference

sensorfw

Classes | Functions
lid.h File Reference

QObject based datatype for LidData. More...

`#include <QDBusArgument>`
`#include <datatypes/liddata.h>`

Go to the source code of this file.

## Classes
class | Lid
| QObject facade for LidData. More...

## Functions
QDBusArgument & | operator<< (QDBusArgument &argument, const Lid &lid)
| Marshall the Lid data into a D-Bus argument. More...
const QDBusArgument & | operator>> (const QDBusArgument &argument, Lid &lid)
| Unmarshall Lid data from the D-Bus argument. More...

## Detailed Description

QObject based datatype for LidData.

Copyright (C) 2016 Canonical, Ltd.

Author
  Lorn Potter lorn..nosp@m.pott.nosp@m.er@ca.nosp@m.noni.nosp@m.cal.c.nosp@m.om

This file is part of Sensord.

Sensord is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License version 2.1 as published by the Free Software Foundation.

Sensord is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with Sensord. If not, see http://www.gnu.org/licenses/.

Definition in file lid.h.

## Function Documentation

## ◆ operator<<()

QDBusArgument & operator<< | ( | QDBusArgument & | argument,
|  | const Lid & | lid
| ) |  |
| inline

Marshall the Lid data into a D-Bus argument.

Parameters

  argument | dbus argument.
  lid | data to marshall.

Returns
  dbus argument.

Definition at line 92 of file lid.h.

## ◆ operator>>()

const QDBusArgument & operator>> | ( | const QDBusArgument & | argument,
|  | Lid & | lid
| ) |  |
| inline

Unmarshall Lid data from the D-Bus argument.

Parameters

  argument | dbus argument.
  lid | unmarshalled data.

Returns
  dbus argument.

Definition at line 107 of file lid.h.